• Welcome to Simple Machines Community Forum. Please login or sign up.

SMF 2.0.4 and 1.1.18 critical security patches released

Started by emanuele, February 01, 2013, 05:26:51 PM

Previous topic - Next topic

LiroyvH

Quote from: Lord991 on February 02, 2013, 02:27:32 PM
I need "Step by step" for 1.1.17 to 1.1.18 . When should I expect that ? Thanks

Did you even bother to:
1.) Read this topic?
2.) Look at the link you gave?

Don't ask to be spoonfed please.
Instructions have been given both here in the topic and you can find the patch + the included changes on that link.
((U + C + I)x(10 − S)) / 20xAx1 / (1 − sin(F / 10))
President/CEO of Simple Machines - Server Manager
Please do not PM for support - anything else is usually OK.

Arantor

No good deed goes unpunished
All helpful urges should be circumvented


Arantor

No good deed goes unpunished
All helpful urges should be circumvented

Lord991


windu

--> Logic: The art of being wrong with confidence..



Mr. Jinx

Thank you for everyone who worked on this security update.
Installed without problems.

JadeCat95


NanoSector

My Mods / Mod Builder - A tool to easily create mods / Blog
"I've heard from a reliable source that the Answer is 42. But, still no word on what the question is."

Srinib

Let me ask you three questions before i upgrade my forum from 2.0.3 to 2.0.4. Since this is my first upgrade, excuse me if i had come up with any basic queries.


  • After downloading the patch http://custom.simplemachines.org/mods/downloads/smf_patch_2.0.4.tar.gz, i should upload this file through Package Manager and install it(the way i do for any other MOD). Then my forum will be running on 2.0.4? Right?
  • Right now, I have 7 MODs installed including Simple Portal. Do i need to uninstall these MODs before the upgrade or will they work fine in this version also?
  • From 2.0.3 to 2.0.4, are they only the internal security patches, or are there any noted changes in features?

I will take a backup before i go ahead with the upgrade.

LiroyvH

No need to uninstall mods, you can install it just like that and should work fine.
((U + C + I)x(10 − S)) / 20xAx1 / (1 − sin(F / 10))
President/CEO of Simple Machines - Server Manager
Please do not PM for support - anything else is usually OK.

sharks

Thanks for 1.1.18 although the Bug Tracker on this site still lists the legendary 13 bugs which are still being completely ignored, since several years. It's so sad. :(

Arantor

Which legendary bugs are these exactly?

The policy has been security or truly ground-shattering bugs only. The bugs you must be referring to aren't earth shattering, or impossible to fix without rewriting hundreds or thousands of lines of code (which won't generate *more* bugs, of course ::))
No good deed goes unpunished
All helpful urges should be circumvented

humbleworld

It's still not showing up in my forum admin center:

Version Information:
Forum version: SMF 2.0.3
Current SMF version: SMF 2.0.3

LiroyvH

Quote from: humbleworld on February 03, 2013, 11:03:11 PM
It's still not showing up in my forum admin center:

Version Information:
Forum version: SMF 2.0.3
Current SMF version: SMF 2.0.3

So run the scheduled task as suggested ;)
((U + C + I)x(10 − S)) / 20xAx1 / (1 − sin(F / 10))
President/CEO of Simple Machines - Server Manager
Please do not PM for support - anything else is usually OK.

Argonaut

Thanks for the update.
But if I want to split older topics in my forum, the following error occurs:

QuoteDuplicate entry '0-7' for key 'lastMessage'
File: /home1/freigeis/public_html/forum/Sources/SplitTopics.php
Line: 676

Note: It appears that your database may require an upgrade. Your forum's files are currently at version SMF 2.0.4, while your database is at version 2.0.3. The above error might possibly go away if you execute the latest version of upgrade.php.

In the past 7 years I've updated my forum and the database each time from several versions to the newer ones and a few weeks ago finally from 1.1.17 to 2.0.3. The last update took more than 10 hours because the database size is about 1 GB. So it seems to me that now I must switch the forum into maintenance mode again, the users must wait again and I must pray again that no error occurs while the next 10 or more hours of running the latest "upgrade.php" again.
That really annoys me a lot.

Well, this is not a support question, it's only a statement.

(And maybe you'll find a way to avoid these long and wearying upgrade-sessions.)

Kindred

this topic is not for support.  Please raise your issues in a topic in the support board.
(I will note, however, that you are doing the upgrade incorrectly - if you are going from 2.0.3 to 2.0.4, there is no need to run upgrade.php. 2.0.3->2.0.4 is a simple patch applied through the package manager. Additionally, the time required for a major version upgrade (1.1.x to 2.0.x) is very different and requires modifications to the database, while a point upgrade like x.x.y to x.x.z usually does not)
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

impreza

Portal Totemat - artykuły i filmy - treści w postaci artykułów i filmów.

Advertisement: